apiVersion: v1
kind: Service
metadata:
  name: catalogue-db
spec:
  selector:
    app: catalogue-db
  ports:
  - protocol: TCP
    port: 3306
    targetPort: 3306

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: catalogue-db
  labels:
    app: catalogue-db
    version: v1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: catalogue-db
      version: v1
  template:
    metadata:
      labels:
        app: catalogue-db
        version: v1
    spec:
      containers:
      - name: catalogue-db
        image: registry.gitlab.com/gihyo-ms-dev-book/handson/sec3/3.3-servicemesh/catalogue-db
        ports:
        - containerPort: 3306
